Bug 999167 - [abrt] pulseaudio-4.0-3.gitbf9b3.fc20: report_jack_state: Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
[abrt] pulseaudio-4.0-3.gitbf9b3.fc20: report_jack_state: Process /usr/bin/pu...
Status: CLOSED DUPLICATE of bug 1000966
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
20
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:47e44b22ea2bcd3ce88a9588d46...
:
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-08-20 16:39 EDT by Jerry James
Modified: 2013-09-22 10:11 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 21:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.86 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: cgroup (158 bytes, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: core_backtrace (4.68 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: dso_list (4.73 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: environ (1.07 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: maps (22.77 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: open_fds (918 bytes, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2013-08-20 16:39 EDT, Jerry James
no flags Details

  None (edit)
Description Jerry James 2013-08-20 16:39:28 EDT
Version-Release number of selected component:
pulseaudio-4.0-3.gitbf9b3.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start --log-target=syslog
crash_function: report_jack_state
executable:     /usr/bin/pulseaudio
kernel:         3.11.0-0.rc5.git6.1.fc20.x86_64
runlevel:       unknown
uid:            42
var_log_messages: Binary file /var/log/messages matches

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 report_jack_state at modules/alsa/module-alsa-card.c:378
 #3 init_jacks at modules/alsa/module-alsa-card.c:510
 #4 module_alsa_card_LTX_pa__init at modules/alsa/module-alsa-card.c:752
 #5 pa_module_load at pulsecore/module.c:119
 #6 verify_access at modules/module-udev-detect.c:341
 #7 process_path at modules/module-udev-detect.c:489
 #8 module_udev_detect_LTX_pa__init at modules/module-udev-detect.c:797
 #9 pa_module_load at pulsecore/module.c:119
 #10 pa_cli_command_load at pulsecore/cli-command.c:441
 #11 pa_cli_command_execute_line_stateful at pulsecore/cli-command.c:2169
Comment 1 Jerry James 2013-08-20 16:39:32 EDT
Created attachment 788642 [details]
File: backtrace
Comment 2 Jerry James 2013-08-20 16:39:34 EDT
Created attachment 788643 [details]
File: cgroup
Comment 3 Jerry James 2013-08-20 16:39:38 EDT
Created attachment 788644 [details]
File: core_backtrace
Comment 4 Jerry James 2013-08-20 16:39:41 EDT
Created attachment 788645 [details]
File: dso_list
Comment 5 Jerry James 2013-08-20 16:39:43 EDT
Created attachment 788646 [details]
File: environ
Comment 6 Jerry James 2013-08-20 16:39:46 EDT
Created attachment 788647 [details]
File: limits
Comment 7 Jerry James 2013-08-20 16:39:48 EDT
Created attachment 788648 [details]
File: maps
Comment 8 Jerry James 2013-08-20 16:39:50 EDT
Created attachment 788649 [details]
File: open_fds
Comment 9 Jerry James 2013-08-20 16:39:53 EDT
Created attachment 788650 [details]
File: proc_pid_status
Comment 10 Kamil Páral 2013-08-22 07:37:27 EDT
It seems that PulseAudio crashes any time a system sound should be played.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: report_jack_state
executable:     /usr/bin/pulseaudio
kernel:         3.11.0-0.rc6.git1.1.fc20.x86_64
package:        pulseaudio-4.0-3.gitbf9b3.fc20
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 11 Adam Williamson 2013-08-22 17:24:01 EDT
Happens on GNOME start of any F20 live image.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
crash_function: report_jack_state
executable:     /usr/bin/pulseaudio
kernel:         3.11.0-0.rc6.git1.2.fc21.x86_64
package:        pulseaudio-4.0-3.gitbf9b3.fc20
reason:         Process /usr/bin/pulseaudio was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 12 Adam Williamson 2013-08-22 17:26:32 EDT
Nominating as a Final blocker, criterion https://fedoraproject.org/wiki/Fedora_20_Final_Release_Criteria#SELinux_and_crash_notifications :

"There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop."

May be a Beta blocker if it violates https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Working_sound :

"The installed system must be able to play back sound with gstreamer-based applications."
Comment 13 Kalev Lember 2013-09-04 14:34:53 EDT
I tried today's nightly live image build (Fedora-20-Nightly-x86_64-Live-desktop-20130904.09-1.iso) and didn't get any pulseaudio crashes and sound works, and haven't been getting any crashes on my desktop F20 installation either. Could it be related to some particular virtualization environment?
Comment 14 Fedora End Of Life 2013-09-16 12:38:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Adam Williamson 2013-09-17 20:26:01 EDT
Kalev: I don't know, I test with a typical virt-manager/libvirt/qemu-kvm stack on F20. I'll find out if this is still happening to me when I dig through my backlog and start actually testing again :)
Comment 16 Adam Williamson 2013-09-18 21:24:37 EDT
Yeah, happened again with Alpha RC4. Could perhaps be somehow related to my VM definition, I guess?

abrt considers it to be https://bugzilla.redhat.com/show_bug.cgi?id=1000966 .
Comment 17 Adam Williamson 2013-09-18 21:25:07 EDT

*** This bug has been marked as a duplicate of bug 1000966 ***
Comment 18 Kalev Lember 2013-09-22 10:11:29 EDT
Thanks, I've managed to reproduce it now and just filed an upstream ticket with some more information:

https://bugs.freedesktop.org/show_bug.cgi?id=69676

Note You need to log in before you can comment on or make changes to this bug.